過去のバージョンのMODを現在のバージョンに対応させる方法

Modding・サーバPlugin制作・ツール制作など、開発関連の質問があればこちらにお願い致します。
フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999
  • (PostNo.319968)

過去のバージョンのMODを現在のバージョンに対応させる方法

投稿記事by KagerouCCC » 2018年9月08日(土) 18:27

過去のVerのMOD(1.7.10)のMODを1.12.12へ対応させる方法を教えていただきたく建てさせていただきました。
冒険プラス武器MOD viewtopic.php?t=13542 というMODなのですが、作者様のログインが最近伺えなく 作者様に直接お願いするのは難しいと思い
知識もあるわけでもないですが、自分で対応させようと思った所存でございます。甘え過ぎだとは自分でも感じているのですが...
どうかよろしくお願いいたします。
KagerouCCC
ID:fe7e1e15
水から上がったとこ
 
記事: 5
登録日時: 2018年9月08日(土) 16:28

  • (PostNo.319988)

Re: 過去のバージョンのMODを現在のバージョンに対応させる方法

投稿記事by CrafterKina » 2018年9月09日(日) 04:32

残念ながらアドバイスになるようなことはありません。
1.7.10-1.12.2間の移植はかなりの労力とそれなりの知識を必要とします。
ソースコードも公開されていないので文字通り新しいModを作るのと変わらないところからのスタートになります。
そういったことを考慮した上で現実的なのは、勉強しながらだんだんと要素を再現していくという道でしょう。
長い道のりではありますが、自分で対応させようと思うその気概さえあれば不可能なことではありません。
是非、Moddingに取り組んでみてください。
テクスチャの流用さえしなければ、自分のModだと言ってはばからないものが出来上がるでしょう。
アバター
CrafterKina
ID:5e467c2b
石炭掘り
 
記事: 193
登録日時: 2013年4月06日(土) 14:42
お住まい: 廃坑

  • (PostNo.319993)

Re: 過去のバージョンのMODを現在のバージョンに対応させる方法

投稿記事by KagerouCCC » 2018年9月09日(日) 11:32

CrafterKina さんが書きました:残念ながらアドバイスになるようなことはありません。
1.7.10-1.12.2間の移植はかなりの労力とそれなりの知識を必要とします。
ソースコードも公開されていないので文字通り新しいModを作るのと変わらないところからのスタートになります。
そういったことを考慮した上で現実的なのは、勉強しながらだんだんと要素を再現していくという道でしょう。
長い道のりではありますが、自分で対応させようと思うその気概さえあれば不可能なことではありません。
是非、Moddingに取り組んでみてください。
テクスチャの流用さえしなければ、自分のModだと言ってはばからないものが出来上がるでしょう。

そうですか... 素晴らしいご返答誠に感謝いたします。
地道にModdingの知識を蓄えていろいろ挑戦してみようと思います。本当にありがとうございます。
KagerouCCC
ID:fe7e1e15
水から上がったとこ
 
記事: 5
登録日時: 2018年9月08日(土) 16:28


Return to 質問:開発・制作関連

x